%define upstream_name UPS-Nut
%define upstream_version 0.04

%{?perl_default_filter}

Name:    perl-%{upstream_name}
Version: %perl_convert_version %{upstream_version}
Release: %mkrel 4
License: GPL or Artistic
Group:   Monitoring
Summary: A  perl module to talk to a UPS via NUT upsd
URL:     http://search.cpan.org/dist/%{upstream_name}
Source:  %{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires: perl-devel
BuildArch: noarch


%description
This is an object-oriented interface between Perl and upsd (Network UPS
Tools package).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
%__perl Makefile.PL INSTALLDIRS=vendor
%make 

%install
%make_install

%files
%doc Changes LICENSE README
%{_mandir}/*/*
%{perl_vendorlib}/UPS/Nut.pm


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.40.0-4pclos2017
- rebuild against updates

